Page MenuHomePhabricator

Deploy InternetArchivebot on the Korean Wikipedia (kowiki)
Closed, ResolvedPublic

Description

Hoi, I'd like to deploy IAbot to Korean Wikipedia, any procedures? (Maybe... document in via wiki?)

Event Timeline

revi created this task.Feb 12 2018, 10:59 AM
Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptFeb 12 2018, 10:59 AM
Restricted Application added a project: User-revi. · View Herald Transcript
Restricted Application added subscribers: Cyberpower678, Aklapper. · View Herald Transcript
revi moved this task from Incoming to Radar on the User-revi board.
revi added a project: InternetArchiveBot.
revi removed a subscriber: InternetArchiveBot.

So can you get consensus in the meantime?

Cyberpower678 raised the priority of this task from Normal to High.Mar 1 2018, 5:59 PM
Cyberpower678 moved this task from Unsorted to New feature on the InternetArchiveBot (v2.0) board.
revi added a comment.Mar 21 2018, 5:07 PM

It’s been around 2 weeks without any oppose, I would consider kowiki have consensus to adopt IABot.

With IABot v2.0beta now released, wiki deployments will begin to move forward in the next few days. Fancy getting a couple of translators ready and pointing me to bot approvals?

Restricted Application added a subscriber: Cirdan. · View Herald TranscriptMay 31 2018, 6:43 PM

I can do the translation. https://ko.wikipedia.org/wiki/WP:BRFA.

Until the blocking task is fixed, IABot will not be able to login into kowiki, nor will any user using the interface. This is due to a bug in OAuth.

Cyberpower678 changed the task status from Stalled to Open.Jun 5 2018, 1:39 AM

@revi Thanks for your patience. We need to configure the bot's setup for this wiki.

With that being said can you answer the following questions and translate the following statements?

To translate:

  • External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
  • {link} is found to be dead. No archive was found.
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
  • Added archive {newarchive} to {link}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • Corrected formatting/usage for {link}
  • Added {{tlx|dead link}} tag to {link}
  • Removed dead tag from {link}
  • Modified source for {link}
  • {problem} with error {error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

Questions:

  1. Do you want talk page messages?
  2. Do you use dead link templates and archive templates?
  3. Where are your cite templates?
  4. What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones?
revi added a comment.Jun 29 2018, 9:50 AM

Doing translation.

Replies inline.

Questions:

  1. Do you want talk page messages?

Sure.

  1. Do you use dead link templates and archive templates?

깨진 링크. Takes two param: |url= for wayback machine index, |일자 = for YYYY년 MM월 of the date template is inserted. We handle archive via Cite templates.

  1. Where are your cite templates?

Cite web, Cite news, Cite book, Cite journal, Cite encyclopedia, Cite episode, Cite video, Cite AV media notes, Cite maps, Cite ArXiv, and Cite. All the templates should have no problem accepting English parameters.

  1. What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones?
  • YYYY
  • YYYY-MM
  • YYYY (Spring/Summer/Fall/Winter)
  • YYYY-MM-DD
  • YYYY년 MM월 DD일
  • English Wikipedia translation-based article often includes English date format.
  • Probably more, but I can't think of more for now.

Running tests now.

@revi BTW, I edited your Cite template's TemplateData. It looked broken and because IABot reads this information, I wanted to make sure it wasn't going to be propagated onto kowiki.

https://ko.wikipedia.org/w/index.php?title=틀:웹_인용/설명문서&diff=21769282&oldid=21714463

I've updated the entries.

Bot is ready for deployment.

Cyberpower678 closed this task as Resolved.Jul 16 2018, 7:55 PM

Deployed